Subject: bug#12981: list-packages (void-function mailcap-parse-mailcaps) due to an old mailcap.el file

From: frances frederic <[email-masked]>
Date: Sat, 24 Nov 2012 15:27:30 +0000 (GMT)

Hi 

I've recently installed emacs 24.2 on a debian virtual-box

After configuring elpa there was errors when running list-packages
So I've used toggle-on-error and got the following trace:

-------------
Debugger entered--Lisp error: (void-function mailcap-parse-mailcaps)
  mailcap-parse-mailcaps()
  url-do-setup()
  url-retrieve-synchronously("http://elpa.gnu.org/packages/archive-contents")
  package--download-one-archive(("gnu" . "http://elpa.gnu.org/packages/") "archive-contents")
  #[nil "\301\302\"\207" [archive package--download-one-archive "archive-contents"] 3]()
  package-refresh-contents()
  list-packages(nil)
  call-interactively(list-packages t nil)
  execute-extended-command(nil)
  call-interactively(execute-extended-command nil nil)
---------------

Then I tried to locate mailcap lisp library using M-x locate-library and found two locations:
M-x locate-library  mailcap
  - /usr/share/emacs/site-lisp/flim/attic/mailcap.el   (this one did not contains   mailcap-parse-mailcaps)

M-x locate-library mailcap.el.gz
   - /usr/share/emacs/24.2/lisp/gnus/mailcap.el.gz

only the second one contains the function required by list-package but the first one is loaded probably because of load-path 

finally I remove the oldest version of mailcap.el and elpa works fine now.

I don't know if the old package comes from an old installation or if mailcap.el is included twice with 2 locations and one has not been updated.

Regards
frederic